Loading...
Searching...
No Matches
rtfactRenderer.h File Reference
`#include <BALL/VIEW/RENDERING/RENDERERS/raytracingRenderer.h>`
`#include <BALL/VIEW/WIDGETS/scene.h>`
`#include <BALL/VIEW/KERNEL/stage.h>`
`#include <BALL/VIEW/KERNEL/representationManager.h>`
`#include <BALL/VIEW/PRIMITIVES/mesh.h>`
`#include <BALL/VIEW/KERNEL/mainControl.h>`
`#include <BALL/MATHS/surface.h>`
`#include <BALL/MATHS/vector3.h>`
`#include <BALL/DATATYPE/hashMap.h>`
`#include <RTpieCpp/RayTracerHandle.hpp>`
`#include <RTfact/Model/Image/BasicImage2D.hpp>`
`#include <RTfact/Model/Framebuffer/Image2DFramebuffer.hpp>`
`#include <RTfact/Utils/FPSMeter.hpp>`

Go to the source code of this file.

## Classes

struct | boost::hash< RTpieCpp::MeshHandle >
union | boost::hash< RTpieCpp::MeshHandle >::conv
struct | boost::hash< RTpieCpp::InstanceHandle >
union | boost::hash< RTpieCpp::InstanceHandle >::conv
class | BALL::VIEW::RTfactRenderer
class | BALL::VIEW::RTfactRenderer::RTfactData

## Namespaces

namespace | boost
namespace | BALL
namespace | BALL::VIEW

## Macros

#define | BALLVIEW_RTFACTRENDERER_THROW(exceptionName, message)

## Macro Definition Documentation

## BALLVIEW_RTFACTRENDERER_THROW

#define BALLVIEW_RTFACTRENDERER_THROW | ( |  | exceptionName,
|  |  | message )

Value:
(throw BALL::Exception::##exceptionName##(__FILE__, __LINE__, message))
BALL::Exception
Definition COMMON/exception.h:33

Definition at line 8 of file rtfactRenderer.h.